* {
    box-sizing: border-box;

    font-family: Arial, Helvetica, sans-serif; 
}

body {
    margin: 0;
    min-height: 100vh;

    display: grid;
    place-items: center;
}

header {
    position: absolute;

    top: 0;
    left: 20px;

    width: 100%;
    height: 50px;

    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    place-items: center;
}

header a {
    float: left;

    margin-right: 70%;
    text-decoration: none;
}

header a button {
    display: flex;
    flex-direction: row;
    align-items: center;

    font-size: 18px;
    padding: 5px 15px;

    border: 2px solid grey;
    border-radius: 10px;

    white-space: nowrap;
    cursor: pointer;
}

#page {
    width: 50%;
}

#input_container {
    display: flex;
    flex-direction: column;
    
    margin-bottom: 50px;
}

input {
    margin-bottom: 20px;
}

label {
    font-size: 32px;
    
    margin-bottom: 10px;
}

input[type='text'], input[type='password'] {
    width: 100%;
    height: 50px;

    font-size: 24px;
    padding-left: 30px;
    padding-right: 30px;

    border: 1px solid gray;
    border-radius: 20px;
}

#button_container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    width: 100%;
}

input[type='submit'], input[type='button'] {
    width: 300px;
    height: 70px;

    font-size: 20px;

    background-color: lightgray;

    border: 2px solid gray;
    border-radius: 20px;

    cursor: pointer;
}